View Issue Details

IDProjectCategoryView StatusLast Update
0002004DrawingBugpublic2018-09-16 11:39
Reportertriplus Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
PlatformLinuxOSUbuntuOS Version14.04
Product Version 
Target VersionFixed in Version 
Summary0002004: Performance regression when more drawing pages inserted
DescriptionI noticed when more (empty) drawing Pages are added Orthographic projection tool starts working slow.
Steps To ReproduceCreate Cube and switch to Drawing Workbench.
Insert 10 or more drawing pages (templates).
Select the Cube and one of the inserted Pages and start Orthographic projection tool.
Start adding Secondary Views and notice the performance regression.
Tags#pending, slow

Activities

Kunda1

2017-01-24 00:16

administrator   ~0007940

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=10&t=20173

Kunda1

2017-02-09 12:06

administrator   ~0008250

According to @wandererfan in https://forum.freecadweb.org/viewtopic.php?f=10&t=20342#p157399
> empty pages do not seem to be an issue in TechDraw. more non-empty pages will of course slow things down.
Context: TechDraw is the successor to Drawing which will soon be deprecated.

wandererfan

2018-09-16 11:39

manager   ~0011753

Problem seems absent in TechDraw

Issue History

Date Modified Username Field Change
2015-03-13 23:12 triplus New Issue
2017-01-24 00:16 Kunda1 Note Added: 0007940
2017-01-24 00:16 Kunda1 Tag Attached: #pending
2017-02-09 12:06 Kunda1 Note Added: 0008250
2017-05-08 05:04 Kunda1 Tag Attached: slow
2018-09-16 11:39 wandererfan Status new => closed
2018-09-16 11:39 wandererfan Resolution open => won't fix
2018-09-16 11:39 wandererfan Note Added: 0011753